Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.technicalconnector.ra.enumaration
Enum Language

    java.lang.Object
      java.lang.Enum<Language>
          be.fgov.ehealth.technicalconnector.ra.enumaration.Language

All Implemented Interfaces:
  Serializable, Comparable<Language>

    public enum Language

extends Enum<Language>

Enumeration containing the supported languages by the RA service.

Enum Constant Summary
`FR` French
`NL` Dutch

Method Summary
`String` | `getLanguageAbbreviation()`
`Locale` | `getLocale()`
`static Language` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Language[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NL

    public static final Language NL

  Dutch

### FR

    public static final Language FR

  French

Method Detail

### values

    public static Language[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Language c : Language.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Language valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLanguageAbbreviation

    public String getLanguageAbbreviation()

### getLocale

    public Locale getLocale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.